DevelopersAPIReferencetotalValueUpdates
RemoveAssetHistory
Deletes total-value updates with date < the given date and creates one initialBalance rollup update at date, carrying the latest deleted value converted…
Authorization
bearerAuth Authorization<token>
A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.
In: header
Path Parameters
walletId*string
Row uuid
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/totalValueUpdates/removeAssetHistory" \ -H "Content-Type: application/json" \ -d '{ "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "date": "string" }'{ "created": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "firestoreId": "string", "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "date": "string", "amountValue": "string", "amountCurrency": "EUR", "notes": "string", "initialBalance": true, "source": "string", "createdTime": "2019-08-24T14:15:22Z", "createdUserId": "string", "lastUpdatedTime": "2019-08-24T14:15:22Z", "lastUpdatedUserId": "string" }, "deletedCount": 0}